org.apache.calcite.avatica.util

## Class ArrayIteratorCursor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor
  - - org.apache.calcite.avatica.util.PositionedCursor<E>
    - - org.apache.calcite.avatica.util.IteratorCursor<Object[]>
      - - org.apache.calcite.avatica.util.ArrayIteratorCursor

All Implemented Interfaces:
  AutoCloseable, Cursor

    public class ArrayIteratorCursor
    extends IteratorCursor<Object[]>

Implementation of `Cursor` on top of an `Iterator` that returns an array of `Object` for each row.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.calcite.avatica.util.PositionedCursor

`PositionedCursor.ArrayGetter, PositionedCursor.FieldGetter, PositionedCursor.ListGetter, PositionedCursor.MapGetter<K>, PositionedCursor.ObjectGetter`

### Nested classes/interfaces inherited from class org.apache.calcite.avatica.util.AbstractCursor

`AbstractCursor.AbstractGetter, AbstractCursor.AccessorImpl, AbstractCursor.ArrayAccessor, AbstractCursor.Getter, AbstractCursor.NumberAccessor, AbstractCursor.SlotGetter, AbstractCursor.StructGetter`

### Nested classes/interfaces inherited from interface org.apache.calcite.avatica.util.Cursor

`Cursor.Accessor`

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor

`wasNull`

### Constructor Summary

Constructors
Constructor and Description
`ArrayIteratorCursor(Iterator<Object[]> iterator)` Creates an ArrayEnumeratorCursor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected AbstractCursor.Getter` `createGetter(int ordinal)`

### Methods inherited from class org.apache.calcite.avatica.util.IteratorCursor

`close, current, next`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor

`createAccessor, createAccessor, createAccessors, intToTime, longToTimestamp, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayIteratorCursor

    public ArrayIteratorCursor(Iterator<Object[]> iterator)

Creates an ArrayEnumeratorCursor.

Parameters:
  `iterator` - Iterator

### Method Detail

#### createGetter

    protected AbstractCursor.Getter createGetter(int ordinal)

Specified by:
  `createGetter` in class `AbstractCursor`